/* Buttons */

.buttonPrimary,
.buttonSecondary {
	user-select: none;
	color:var(--buttonPrimaryColorFg);
	pointer-events: all;
	width: 40px;
	height: 40px;
	border-radius: 50%;
	box-sizing: border-box;
	background-color: var(--buttonPrimaryColorBg);
	border: solid 1px var(--buttonPrimaryColorBorder);
	cursor: pointer;
	position: relative;
	overflow: hidden;
	transition: var(--buttonOverTransition) !important;
	isolation: isolate;
    background-position: center;
    background-repeat: no-repeat;
    opacity: 1;
}

.buttonSecondary{
	width: auto;
	height: auto;
	font-size: 1rem;
	border-radius: 20em;
	font-family: var(--fontRegular);
	display: inline-block;
	line-height: 1em;
	background-color: var(--buttonSecondaryColorBg);
	color:var(--buttonSecondaryColorFg);
}

.buttonSecondary {
	font-size: 0.9rem;
	padding: 1vh 3vh;
}

body.hasHover .buttonPrimary:hover,
body.hasHover .buttonSecondary:hover {
	box-shadow: var(--buttonOverOutline);
	background-color: var(--buttonSecondaryHoverColorBg);
}
body.hasHover .buttonPrimary:hover i,
body.hasHover .buttonSecondary:hover,
body.hasHover .buttonSecondary:hover i {
	color: var(--buttonSecondaryHoverColorFg);
}

.buttonPrimary i {
	color:white;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	font-size: 1.5em;
	line-height: normal;
	font-weight: 100;
	padding: 0;
	margin: 0;
	z-index: 1;
	pointer-events: none;
}

.buttonSecondary i{
	color: var(--buttonSecondaryColorFg);
	position: relative;
	top: 0;
	left: 0;
	transform: none;
	vertical-align: middle;
	font-size: 13px;
	line-height: 1em;
}

.btnDisabled, .buttonDisabled{
	pointer-events: none;
	opacity: 0.5;
}

/* Buttons */

.homeButton{
    background-image: var(--iconHome);
}
.autoplayStart{
    background-image: var(--iconPlay);
}
.autoplayStop{
    background-image: var(--iconStop);
}
.drawModeButton{
    background-image: var(--iconDraw);
}
.prevButton{
    background-image: var(--iconPrev);
}
.nextButton{
    background-image: var(--iconNext);
}
.fullscreenButtonEnter{
    background-image: var(--iconFullscreen);
}
.fullscreenButtonExit{
    background-image: var(--iconFullscreenExit);
}

.buttonIcon{
		position: relative;
		width: 20px;
		height: 20px;
		display: inline-block;
		vertical-align: middle;
		margin: -25px 10px -20px 0;
		background-position: center;
		background-repeat: no-repeat;
		background-size: 100%;
}

.buttonSizeM{
	font-size: 1em;
	padding: 1vh 3vh;
}
.buttonSizeS{
	font-size: 0.8em;
	padding: 0.8vh 2vh;
}
.buttonSizeL{
	font-size: 1.1em;
	line-height: 1.5em;
	padding: 1.5vh 3.5vh;
}
.buttonSizeXL{
	font-size: 1.2em;
	line-height: 1.5em;
	padding: 1.8vh 4vh;
}